Bug 147135 - Crash in: _GLOBAL__sub_I_protectiondlg.cxx.lto_priv.2643 ( Calc crashes )
Summary: Crash in: _GLOBAL__sub_I_protectiondlg.cxx.lto_priv.2643 ( Calc crashes )
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.1
Keywords:
: 144322 146420 146912 146990 147157 147162 147198 147200 147215 147288 147320 147396 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-02-02 14:41 UTC by Mark Binner
Modified: 2022-03-11 11:01 UTC (History)
20 users (show)

See Also:
Crash report or crash signature: ["_GLOBAL__sub_I_protectiondlg.cxx.lto_priv.2643"]
Regression By:


Attachments
crash dump when launching calc (225.58 KB, application/vnd.tcpdump.pcap)
2022-02-06 09:29 UTC, nouvo09
Details
gdbtrace.log (251.55 KB, text/x-log)
2022-02-08 16:48 UTC, Pinco Pallino
Details
backtrace as requested in comment#41 (121.82 KB, text/x-log)
2022-02-08 17:32 UTC, pat-cinlug
Details
gdbtrace.log from safe-mode run that lets calc load? (128.43 KB, text/x-log)
2022-02-09 15:00 UTC, Michael Setzer II
Details
latest 3.1 version fails to load. (9.60 KB, text/x-log)
2022-02-09 18:37 UTC, Michael Setzer II
Details
Log relating to comment 56. (6.40 KB, text/x-log)
2022-02-09 20:13 UTC, Pinco Pallino
Details
gdbtrace.log (7.77 KB, text/x-log)
2022-02-10 23:27 UTC, Michael Setzer II
Details
Strace output from libreofficedev7.4 and libreofficedev7.4 --safe-mode (153.05 KB, text/plain)
2022-02-11 05:47 UTC, Michael Setzer II
Details
abrt-dump-journal-opps (13.50 KB, text/plain)
2022-02-17 18:35 UTC, Michael Setzer II
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Binner 2022-02-02 14:41:34 UTC
This bug was filed from the crash reporting server and is br-3f3b3497-dfa8-4a4b-a441-35afd1f22846.
=========================================

Newly installed LibreOffice crashes when trying to open a spreadsheet of ANY type - ods, xlsx etc using Calc. OS used in Linux Mint 20.3 64-bit.
Comment 1 Mark Binner 2022-02-02 14:57:31 UTC
Reverted from 7.3.0 to 7.2.5 and this also crashed on first use but seems OK on subsequent attempts. 7.3.0 crashed EVERY time a spreadsheet was opened.
Comment 2 Mark Binner 2022-02-02 17:40:25 UTC
I decided to go ahead and install 7.3.0 on Windows 10 and did not experience the issue there.
Comment 3 Xisco Faulí 2022-02-02 18:02:45 UTC
Thank you for reporting the bug. To be certain the reported issue is not related to corruption in the user profile, could you please reset your Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the issue is still present
Comment 4 Ivan Yugov 2022-02-02 19:24:59 UTC
Calc in 7.3.0.3 also crashes in Safe Mode and with user profile reset.
Comment 5 Julien Nabet 2022-02-02 20:19:56 UTC
How did you install LO 7.3.0.3 on Linux Mint?
Just for information, LO rpm and deb packages from TDF are more for distrib maintainers since they deal with dependencies.
Comment 6 Ivan Yugov 2022-02-03 05:41:23 UTC
(In reply to Julien Nabet from comment #5)
> How did you install LO 7.3.0.3 on Linux Mint?
> Just for information, LO rpm and deb packages from TDF are more for distrib
> maintainers since they deal with dependencies.

In my case, it's Ubuntu 21.10 amd64, I just downloaded deb packages and installed them: "sudo dpkg -i *.deb". I do it every LO release to install new versions over distribution-provided ones. Haven't experience problems with dependencies for a long time. Sure that in Mint it's much the same.
Comment 7 Mark Binner 2022-02-03 08:47:56 UTC
(In reply to Julien Nabet from comment #5)
> How did you install LO 7.3.0.3 on Linux Mint?
> Just for information, LO rpm and deb packages from TDF are more for distrib
> maintainers since they deal with dependencies.

I find it strange you would say that for a few reasons:

1) The packages are the first things shown on the download page.
2) The same page says "If you're a technology enthusiast, early adopter or power user, this version is for you!" - that includes me.
3) Most distros I've used leave you with the version of LibreOffice that was current at the time of its release. If I didn't update myself, I'd always be out-of-date.

To answer your question:

I uninstalled LO 7.2.5 from within Synaptic by searching for all instances of LibreOffice7 and marking them for 'Complete Removal'.
I extracted the 3 LibreOffice archives I downloaded from the website. Then I opened the folders as Administrator and did 'dpkg -i *.deb' for each one starting with the main package, then doing the language pack and the help pack. I have done it this way for many years and never had any problem. Because of this I have always had confidence it will be fine.

I hope that helps.
Comment 8 Mark Binner 2022-02-03 08:52:03 UTC
(In reply to Xisco Faulí from comment #3)
> Thank you for reporting the bug. To be certain the reported issue is not
> related to corruption in the user profile, could you please reset your
> Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
> re-test?
> 
> I have set the bug's status to 'NEEDINFO'. Please change it back to
> 'UNCONFIRMED' if the issue is still present

Since Yugov Ivan has stated in comment 4 that it still happens, I will assume you don't need me to do this any more. If you do please let me know because I will have to uninstall 7.2.5 again to install 7.3.0.
Comment 9 Julien Nabet 2022-02-03 09:10:19 UTC
Just my opinion but you decide guys.
=> uncc myself since I can't help here.
Comment 10 Xisco Faulí 2022-02-03 15:03:39 UTC
Hello Mark,
Is it only happening with spreadsheets? what about impress or writer files ?
Does it also happen if you create a new spreadsheet from the start center?
Thanks in advance
Comment 11 Xisco Faulí 2022-02-03 15:04:45 UTC
OTOH, what happens if you launch LibreOffice from commandline with 'SAL_USE_VCLPLUGIN=gen soffice' ?
Comment 12 Mark Binner 2022-02-03 16:32:12 UTC
(In reply to Xisco Faulí from comment #10)
> Hello Mark,
> Is it only happening with spreadsheets? what about impress or writer files ?
> Does it also happen if you create a new spreadsheet from the start center?
> Thanks in advance

Hi Xisco (great name by the way),

Running the general LibreOffice menu option from the Office menu works OK. Opening an existing Base database is OK. Same for Writer and Draw. Those things also work when opening by file association.
I tried to open another existing spreadsheet and got an error with the option to open in Safe Mode. I chose that but nothing happened. Using System Monitor I could see no obvious LO-related processes running.
I restarted LO again and tried to create a new Calc sheet. Nothing! Then I restarted LO again and opened another existing Writer file in normal mode.. I closed that. 
In summary, I could open existing files and create new ones in all programs except Calc.
Comment 13 Mark Binner 2022-02-03 16:35:49 UTC
(In reply to Xisco Faulí from comment #11)
> OTOH, what happens if you launch LibreOffice from commandline with
> 'SAL_USE_VCLPLUGIN=gen soffice' ?

If I do this OR try the method in the wiki ie 
'soffice -env:UserInstallation=file:///tmp/test' I get this:

Command 'soffice' not found, but can be installed with:

sudo apt install libreoffice-common

Are we getting somewhere? Have I got a bit missing? If so, how do I make sure the version I install is compatible with LO 7.3.0.3-3?

I hope that all makes some sense.
Comment 14 Xisco Faulí 2022-02-04 12:36:25 UTC
Hello Mark,
Could you please try to reproduce it with https://dev-builds.libreoffice.org/daily/libreoffice-7-3/current.html? We believe this issue might be fixed with https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-7-3&id=3f96d70ce7f31d556b995733b44cb8715b64e329
Comment 15 Xisco Faulí 2022-02-04 12:38:15 UTC
*** Bug 146912 has been marked as a duplicate of this bug. ***
Comment 16 Xisco Faulí 2022-02-04 12:39:09 UTC
*** Bug 146990 has been marked as a duplicate of this bug. ***
Comment 17 Xisco Faulí 2022-02-04 12:39:27 UTC
*** Bug 146420 has been marked as a duplicate of this bug. ***
Comment 18 Xisco Faulí 2022-02-04 12:40:46 UTC
*** Bug 147162 has been marked as a duplicate of this bug. ***
Comment 19 Xisco Faulí 2022-02-04 12:41:44 UTC
Moving to NEW based on number of dupes
Comment 20 Xisco Faulí 2022-02-04 12:42:35 UTC
*** Bug 147157 has been marked as a duplicate of this bug. ***
Comment 21 Xisco Faulí 2022-02-04 12:46:19 UTC
For those who can reproduce this issue, Could you please try with a libreoffice-7-3 daily build from https://dev-builds.libreoffice.org/daily/libreoffice-7-3/current.html ? We believe it might be fixed there
Comment 22 willy_wuchtig 2022-02-04 13:12:53 UTC
(In reply to Xisco Faulí from comment #18)
> *** Bug 147162 has been marked as a duplicate of this bug. ***

Same problem with following version (daily build):

Version: 7.3.1.0.0+ / LibreOffice Community
Build ID: 3f96d70ce7f31d556b995733b44cb8715b64e329
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: en-US
Calc: threaded
Comment 23 Mark Binner 2022-02-04 13:56:57 UTC
(In reply to Xisco Faulí from comment #21)
> For those who can reproduce this issue, Could you please try with a
> libreoffice-7-3 daily build from
> https://dev-builds.libreoffice.org/daily/libreoffice-7-3/current.html ? We
> believe it might be fixed there

I tried with the version in this link and it's no better. When trying to open an existing sheet, the disk light shows a lot of activity but the sheets do not open.
Comment 24 Eike Rathke 2022-02-04 15:31:11 UTC
Please try with a build of 2022-02-04 or later, at least the current Windows build of 2022-02-03 09:45:24 can not have the fix, the Linux builds of 2022-02-03 22:* may or may have not, depending on when they started.
Comment 25 pat-cinlug 2022-02-04 15:41:13 UTC
*** Bug 147200 has been marked as a duplicate of this bug. ***
Comment 26 Xisco Faulí 2022-02-04 15:46:28 UTC
(In reply to willy_wuchtig from comment #22)
> (In reply to Xisco Faulí from comment #18)
> > *** Bug 147162 has been marked as a duplicate of this bug. ***
> 
> Same problem with following version (daily build):
> 
> Version: 7.3.1.0.0+ / LibreOffice Community
> Build ID: 3f96d70ce7f31d556b995733b44cb8715b64e329
> CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
> Locale: de-DE (de_DE.UTF-8); UI: en-US
> Calc: threaded

This version includes the patch and it's still reproducible, sigh...
Comment 27 pat-cinlug 2022-02-04 15:47:17 UTC
FWIW, when Calc crashes, the following message appears in syslog:

Feb  3 10:58:15 pcgl01 kernel: [98226.344001] traps: soffice.bin[16515] trap invalid opcode ip:7fd115e678de sp:7ffea1a8ac40 error:0 in libsclo.so[7fd115b90000+e06000]
Feb  3 11:01:42 pcgl01 kernel: [98434.159752] traps: soffice.bin[16619] trap invalid opcode ip:7f195151f8de sp:7ffd7a286540 error:0 in libsclo.so[7f1951248000+e06000]
Feb  4 10:21:44 pcgl01 kernel: [ 9469.098813] traps: soffice.bin[21214] trap invalid opcode ip:7fd65f2218de sp:7ffd3aef1810 error:0 in libsclo.so[7fd65ef4a000+e06000]

See bug 147200 for system details if these traps are of interest.
Comment 28 Buovjaga 2022-02-04 15:58:29 UTC
*** Bug 147198 has been marked as a duplicate of this bug. ***
Comment 29 Pinco Pallino 2022-02-04 16:52:45 UTC
I have exactly the same problem with LibreOffice immediately crashing when trying to use Calc. The other programs (write, base etc.) work well.

Using a completely new UserProfile.

My system:
Linux mycomputer 5.13.0-28-generic #31~20.04.1-Ubuntu SMP Wed Jan 19 14:08:10 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux.

Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.5
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-28-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7 CPU 920 @ 2.67GHz
Memory: 5.8 GiB of RAM
Graphics Processor: NVA5

Version: 7.3.1.0.0+ / LibreOffice Community
Build ID: 3f96d70ce7f31d556b995733b44cb8715b64e329
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: es-ES (es_ES.UTF-8); UI: es-ES
Calc: threaded

Sergio
Comment 30 Dorange-Pattoret Didier 2022-02-05 09:17:03 UTC
Hello,

Idem. Ubuntu 21.10 
Calc crashes with 

Version: 7.3.0.0.beta1 / LibreOffice Community
Build ID: 436f14c25ec1847646b953cf13d0db4f7ca3be57
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded

And with :

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded 

But works fine with :

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 6; OS: Linux 5.15; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded
Comment 31 Dorange-Pattoret Didier 2022-02-05 10:22:43 UTC
Works fine with Fedora35 

And 

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 6; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded
Comment 32 nouvo09 2022-02-05 18:39:16 UTC
(In reply to Dorange-Pattoret Didier from comment #31)
> Works fine with Fedora35 
> 
> And 
> 
> Version: 7.3.0.3 / LibreOffice Community
> Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
> CPU threads: 6; OS: Linux 5.15; UI render: default; VCL: gtk3
> Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
> Calc: threaded

Could you pls post the result of

uname -a  just to see which kernel aso...
Comment 33 Mark Binner 2022-02-05 18:59:33 UTC
I don't know if this directed at everybody or just poster of comment 32 but mine is: 5.4.0-97-generic #110-Ubuntu SMP
Comment 34 nouvo09 2022-02-06 09:29:32 UTC
Created attachment 178086 [details]
crash dump when launching calc

launched from terminal with ./scalc

ProductName=LibreOffice
Version=7.3.1.0
BuildID=33d70d68aa67d567e9b18fa5947b86df6e378f32
URL=https://crashreport.libreoffice.org/submit/
Language=fr-FR
CPUModelName=Intel(R) Core(TM) i7 CPU         920  @ 2.67GHz
CPUFlags=fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm pti tpr_shadow vnmi flexpriority ept vpid dtherm ida
MemoryTotal=12241400 kB
Active-SfxObject=
Last-4-Uno-Commands=
Comment 35 Dorange-Pattoret Didier 2022-02-07 07:53:36 UTC
(In reply to nouvo09 from comment #32)

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded


uname - gives:
Linux Bigone 5.13.0-28-generic #31-Ubuntu SMP Thu Jan 13 17:41:06 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
Comment 36 cornosier 2022-02-07 09:24:14 UTC
no problem on Fedora35 (kde/plasma X11) width 

/opt/libreoffice7.3/program/scalc

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 6; OS: Linux 5.16; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded

and
export SAL_USE_VCLPLUGIN="gtk3"

Version: 7.3.0.3 / LibreOffice Community
Build ID: 0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
CPU threads: 6; OS: Linux 5.16; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded
Comment 37 cornosier 2022-02-07 10:54:35 UTC
@Comment 36

Linux fedora 5.16.5-200.fc35.x86_64 #1 SMP PREEMPT Tue Feb 1 21:37:11 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
Comment 38 Michael Setzer II 2022-02-08 01:10:12 UTC
See same issue on my machines running Fedora 34.
Tried the released 7.3 and the dev but same results.

Did notice something in message log file.
If run libreoffice7.3 but don't try calc there is nothing,
but if try calc and it crashes the log has these lines??

Feb  8 11:04:04 setzconote audit[513755]: ANOM_ABEND auid=1000 uid=0 gid=0 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=513755 comm="soffice.bin" exe="/opt/libreoffice7.3/program/soffice.bin" sig=4 res=1
Feb  8 11:04:05 setzconote abrt-server[513792]: Package 'libreoffice7.3' isn't signed with proper key

Unfortuantely, the lines on abrt at time don't seem to show anything to me.
Feb  8 11:04:05 setzconote abrt-dump-journal-oops[2039]: abrt-dump-journal-oops: Found oopses: 1
Feb  8 11:04:05 setzconote abrt-dump-journal-oops[2039]: abrt-dump-journal-oops: Creating problem directories
Feb  8 11:04:05 setzconote abrt-server[513792]: Package 'libreoffice7.3' isn't signed with proper key
Feb  8 11:04:05 setzconote abrt-server[513792]: 'post-create' on '/var/spool/abrt/ccpp-2022-02-08-11:04:05.227869-513755' exited with 1
Feb  8 11:04:05 setzconote abrt-server[513792]: Deleting problem directory '/var/spool/abrt/ccpp-2022-02-08-11:04:05.227869-513755'
Feb  8 11:04:06 setzconote abrt-server[513791]: Can't find a meaningful backtrace for hashing in '.'
Feb  8 11:04:06 setzconote abrt-server[513791]: Preserving oops '.' because DropNotReportableOopses is 'no'
Feb  8 11:04:06 setzconote abrt-notification[513811]: System encountered a non-fatal error in ??()
Feb  8 11:04:06 setzconote abrt-dump-journal-oops[2039]: Reported 1 kernel oopses to Abrt
Comment 39 Lyudmil Vasilev 2022-02-08 12:42:38 UTC
08.02.2022 LO 7.3.0.3

Win10 Pro x64 -- no problems

LibreOffice-fresh.basic-x86_64.AppImage
Build: https://gerrit.libreoffice.org/gitweb?p=core.git;a=log;h=0f246aa12d0eee4a0f7adcefbf7c878fc2238db3
Environ: CPU threads: 4; OS: Linux 5.10
Misc: Calc: threaded
uname -a
  Linux ML110 5.10.96-1-MANJARO #1 SMP PREEMPT
  Tue Feb 1 16:57:46 UTC 2022 x86_64 GNU/Linux
  CPU: Intel x64 4-cores

- Linux on SSD; AppImage on HDD; AppImage alongside Linux -- same LO behaviour
- LO-center
- Write, Draw, Impress: new doc -- OK; old docs -- OK; Ctrl-W -- OK
- Calc: new doc -- crash; restart -- crashreport; safe mode; new doc -- crash; restart -- crashreport
- Math: new doc -- OK; mouseclick on x -- OK; Ctrl-W -- crash; restart -- OK
Comment 40 Michael Setzer II 2022-02-08 13:14:34 UTC
Downloaded the source code and spent 8 hours building it on notebook.
Had to install some gstreamer1 and ant packages to get configure to go thru, but then the build seems to work fine.
But running the instdir/program/soffice shows a window for a short time, but doesn't show the one that selects sub programs. Just drops to command prompt.

This is what is written to the message log file.
Feb  8 23:06:58 setzconote audit[1031482]: USER_END pid=1031482 uid=1000 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_close grantors=pam_keyinit,pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_xauth acct="root" exe="/usr/bin/su" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb  8 23:06:58 setzconote audit[1031482]: CRED_DISP pid=1031482 uid=1000 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix acct="root" exe="/usr/bin/su" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb  8 23:07:45 setzconote audit[1033133]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=1033133 comm="soffice.bin" exe="/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/soffice.bin" sig=4 res=1
Feb  8 23:07:45 setzconote kernel: traps: soffice.bin[1033339] trap invalid opcode ip:7f9001c0613c sp:7f8fe885f2e8 error:0 in DynamicKernel.so[7f9001c06000+1000]
Feb  8 23:07:45 setzconote audit: BPF prog-id=411 op=LOAD
Feb  8 23:07:45 setzconote audit: BPF prog-id=412 op=LOAD
Feb  8 23:07:45 setzconote audit: BPF prog-id=413 op=LOAD
Feb  8 23:07:45 setzconote audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@11-1033341-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb  8 23:07:45 setzconote systemd[1]: Started Process Core Dump (PID 1033341/UID 0).
Feb  8 23:07:46 setzconote systemd-coredump[1033342]: Process 1033133 (soffice.bin) of user 1000 dumped core.#012#012Stack trace of thread 1033339:#012#0  0x00007f9001c0613c n/a (/home/msetzerii/.cache/pocl/kcache/MC/AEDNJNCPODFJCGNFBFLJHJJHGEAIGELFLACOB/DynamicKernel/64-1-1-goffs0-smallgrid/DynamicKernel.so + 0x113c)#012#1  0x00007f9020d7c2a5 start_thread (libpthread.so.0 + 0x92a5)#012#2  0x00007f9021240323 __clone (libc.so.6 + 0x100323)#012#012Stack trace of thread 1033340:#012#0  0x00007f9020d857b0 __lll_lock_wait (libpthread.so.0 + 0x127b0)#012#1  0x00007f9020d80776 __pthread_mutex_cond_lock (libpthread.so.0 + 0xd776)#012#2  0x00007f9020d821ba pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf1ba)#012#3  0x00007f9001d4068c pocl_pthread_driver_thread (libpocl-devices-pthread.so + 0x368c)#012#4  0x00007f9020d7c2a5 start_thread (libpthread.so.0 + 0x92a5)#012#5  0x00007f9021240323 __clone (libc.so.6 + 0x100323)#012#012Stack trace of thread 1033151:#012#0  0x00007f902123558f __poll (libc.so.6 + 0xf558f)#012#1  0x00007f90199ee48c g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa948c)#012#2  0x00007f9019997c03 g_main_context_iteration (libglib-2.0.so.0 + 0x52c03)#012#3  0x00007f9019997c51 glib_worker_main (libglib-2.0.so.0 + 0x52c51)#012#4  0x00007f90199c8c42 g_thread_proxy (libglib-2.0.so.0 + 0x83c42)#012#5  0x00007f9020d7c2a5 start_thread (libpthread.so.0 + 0x92a5)#012#6  0x00007f9021240323 __clone (libc.so.6 + 0x100323)#012#012Stack trace of thread 1033133:#012#0  0x00007f9020d88a8a __futex_abstimed_wait_common64 (libpthread.so.0 + 0x15a8a)#012#1  0x00007f9020d822c0 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0 + 0xf2c0)#012#2  0x00007f9001d3f773 pocl_pthread_join (libpocl-devices-pthread.so + 0x2773)#012#3  0x00007f8febb6cbde POclFinish (libpocl.so.2.7.0 + 0x41bde)#012#4  0x00007f8febc0f739 clFinish (libOpenCL.so.1 + 0x17739)#012#5  0x00007f901fc7ed26 n/a (/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libopencllo.so + 0x10d26)#012#6  0x00007f901fc7babf n/a (/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libopencllo.so + 0xdabf)#012#7  0x0000000000000000 n/a (n/a + 0x0)
Feb  8 23:07:46 setzconote audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@11-1033341-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb  8 23:07:46 setzconote systemd[1]: systemd-coredump@11-1033341-0.service: Deactivated successfully.
Feb  8 23:07:46 setzconote audit: BPF prog-id=0 op=UNLOAD
Feb  8 23:07:46 setzconote audit: BPF prog-id=0 op=UNLOAD
Feb  8 23:07:46 setzconote audit: BPF prog-id=0 op=UNLOAD
Feb  8 23:07:46 setzconote abrt-dump-journal-oops[1032659]: abrt-dump-journal-oops: Found oopses: 1
Feb  8 23:07:46 setzconote abrt-dump-journal-oops[1032659]: abrt-dump-journal-oops: Creating problem directories
Feb  8 23:07:47 setzconote abrtd[1032654]: Skipping /var/spool/abrt/ccpp-2022-02-08-23:07:46.977097-1033133.new: directory locked. Is a backtrace being generated?
Feb  8 23:07:47 setzconote abrt-server[1033355]: Can't find a meaningful backtrace for hashing in '.'
Feb  8 23:07:47 setzconote abrt-server[1033355]: Preserving oops '.' because DropNotReportableOopses is 'no'
Feb  8 23:07:47 setzconote abrt-dump-journal-oops[1032659]: Reported 1 kernel oopses to Abrt
Feb  8 23:07:48 setzconote audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dbus-:1.3-org.freedesktop.problems@1 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb  8 23:07:48 setzconote systemd[1]: Started dbus-:1.3-org.freedesktop.problems@1.service.
Feb  8 23:07:48 setzconote abrt-notification[1033377]: System encountered a non-fatal error in ??()
Feb  8 23:07:49 setzconote abrt-notification[1033415]: Process 1033133 (soffice.bin) crashed in _pocl_kernel_DynamicKernel_workgroup()
Feb  8 23:07:56 setzconote audit[1033417]: USER_AUTH pid=1033417 uid=1000 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:authentication grantors=pam_unix acct="root" exe="/usr/bin/su" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb  8 23:07:56 setzconote audit[1033417]: USER_ACCT pid=1033417 uid=1000 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:accounting grantors=pam_unix acct="root" exe="/usr/bin/su" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb  8 23:07:56 setzconote su[1033417]: (to root) msetzerii on pts/0
Feb  8 23:07:56 setzconote audit[1033417]: CRED_ACQ pid=1033417 uid=1000 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix acct="root" exe="/usr/bin/su" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb  8 23:07:56 setzconote audit[1033417]: USER_START pid=1033417 uid=1000 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_keyinit,pam_keyinit,pam_limits,pam_systemd,pam_unix,pam_xauth acct="root" exe="/usr/bin/su" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb  8 23:07:56 setzconote audit: BPF prog-id=414 op=LOAD
Feb  8 23:07:56 setzconote audit: BPF prog-id=415 op=LOAD
Feb  8 23:07:56 setzconote systemd[1]: Starting Hostname Service...
Feb  8 23:07:56 setzconote audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Feb  8 23:07:56 setzconote systemd[1]: Started Hostname Service.

Was hoping that building source code on fedora 34 might resolve issue, but seems it just used 8 hours on the notebook.
Comment 41 Buovjaga 2022-02-08 14:58:29 UTC
The ones who can reproduce, could you download Linux-rpm_deb-x86_64@tb87-TDF-dbg from https://dev-builds.libreoffice.org/daily/master/current.html and try with

program/soffice --backtrace

and attach the produced gdbtrace.log to this report.

https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#GNU.2FLinux:_How_to_get_a_backtrace
Comment 42 Michael Setzer II 2022-02-08 15:49:37 UTC
Since the regular one crashes with calc ran this.
$ libreoffice7.3 --calc --backtrace
This is contents of the log file.
warning: Currently logging to gdbtrace.log.  Turn the logging off and on to make the new setting effective.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[Detaching after fork from child process 1052726]
warning: Corrupted shared library list: 0x71ad60 != 0x713690
[New Thread 0x7fffda49f640 (LWP 1052731)]
[New Thread 0x7fffd9c9e640 (LWP 1052732)]
[New Thread 0x7fffd949d640 (LWP 1052733)]
[New Thread 0x7fffd8c9c640 (LWP 1052734)]
[New Thread 0x7fffcbfff640 (LWP 1052735)]
[Thread 0x7fffcbfff640 (LWP 1052735) exited]
[New Thread 0x7fffcbfff640 (LWP 1052736)]
[Thread 0x7fffcbfff640 (LWP 1052736) exited]
[New Thread 0x7fffcbfff640 (LWP 1052737)]
[New Thread 0x7fffcb7dc640 (LWP 1052738)]
[New Thread 0x7fffcafdb640 (LWP 1052739)]
[Thread 0x7fffcb7dc640 (LWP 1052738) exited]
[Thread 0x7fffcbfff640 (LWP 1052737) exited]
[New Thread 0x7fffcbfff640 (LWP 1052740)]
[Thread 0x7fffcafdb640 (LWP 1052739) exited]
[New Thread 0x7fffcafdb640 (LWP 1052741)]
[New Thread 0x7fffcb7dc640 (LWP 1052742)]
[Thread 0x7fffcafdb640 (LWP 1052741) exited]
[Thread 0x7fffcb7dc640 (LWP 1052742) exited]
[Thread 0x7fffda49f640 (LWP 1052731) exited]
[New Thread 0x7fffda49f640 (LWP 1052743)]
[Thread 0x7fffda49f640 (LWP 1052743) exited]
[Thread 0x7fffd9c9e640 (LWP 1052732) exited]
Invalid cast.
warning: Probes-based dynamic linker interface failed.
Reverting to original interface.
[Thread 0x7fffd8c9c640 (LWP 1052734) exited]
[Thread 0x7fffd949d640 (LWP 1052733) exited]
[Thread 0x7fffe98e1140 (LWP 1052722) exited]
[Inferior 1 (process 1052722) exited with code 0121]
/opt/libreoffice7.3/program/gdbtrace:9: Error in sourced command file:
No stack.
Missing separate debuginfos, use: dnf debuginfo-install libreoffice7.3-7.3.0.3-3.x86_64
Comment 43 Buovjaga 2022-02-08 16:01:10 UTC
Michael: you are missing debug symbols. If you use Linux-rpm_deb-x86_64@tb87-TDF-dbg it comes with the symbols. Please attach as a file next time, so it will not take space in the comments.
Comment 44 Pinco Pallino 2022-02-08 16:48:29 UTC
Created attachment 178147 [details]
gdbtrace.log
Comment 45 Pinco Pallino 2022-02-08 16:51:02 UTC
I have downloaded and tried Linux-rpm_deb-x86_64@tb87-TDF-dbg from https://dev-builds.libreoffice.org/daily/master/current.html as asked by Buovjaga.

In this version Calc is working correctly and is no longer crashing the program.
I have anyway sent the gdbtrace.log in previous comment.

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 845e53ea13b317bd8ef4dc42cd60ea51359f34ab
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.5
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-28-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7 CPU 920 @ 2.67GHz
Memory: 5.8 GiB of RAM
Graphics Processor: NVA5
Comment 46 willy_wuchtig 2022-02-08 17:31:27 UTC
(In reply to willy_wuchtig from comment #22)
> (In reply to Xisco Faulí from comment #18)
> > *** Bug 147162 has been marked as a duplicate of this bug. ***
> 
> Same problem with following version (daily build):
> 
> Version: 7.3.1.0.0+ / LibreOffice Community
> Build ID: 3f96d70ce7f31d556b995733b44cb8715b64e329
> CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
> Locale: de-DE (de_DE.UTF-8); UI: en-US
> Calc: threaded

Same problem with Dev_7.4.0.0.alpha0 -> Calc still crashing, rest is working

https://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@tb87-TDF/2022-02-08_08.03.02/LibreOfficeDev_7.4.0.0.alpha0_Linux_x86-64_deb.tar.gz

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 845e53ea13b317bd8ef4dc42cd60ea51359f34ab
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: en-US
Calc: threaded
Comment 47 pat-cinlug 2022-02-08 17:32:49 UTC
Created attachment 178148 [details]
backtrace as requested in comment#41

invoked program/soffice --calc --backtrace, and there was no crash. I then opened a calc file, which also worked.

The following warning appears when soffice starts:

warning: Could not find DWO CU /home/tdf/lode/jenkins/workspace/lo_gerrit/tb/build_master/workdir/CObject/desktop/source/app/main.dwo(0xa022fb8f8446658) referenced by CU at offset 0x0 [in module /home/pkg/LibreOfficeDev_7.4.0.0.alpha0_Linux_x86-64_archive/program/soffice.bin]
Comment 48 Michael Setzer II 2022-02-08 17:48:53 UTC
Ran a similar backtrace on the compiled from sourcecode.

instdir/program/soffice --backtrace
warning: Currently logging to gdbtrace.log.  Turn the logging off and on to make the new setting effective.
warning: File "/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libuno_sal.so.3-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
To enable execution of this file add
	add-auto-load-safe-path /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libuno_sal.so.3-gdb.py
line to your configuration file "/home/msetzerii/.config/gdb/gdbinit".
To completely disable this security protection add
	set auto-load safe-path /
line to your configuration file "/home/msetzerii/.config/gdb/gdbinit".
For more information about this security protection see the
"Auto-loading safe path" section in the GDB manual.  E.g., run from the shell:
	info "(gdb)Auto-loading safe path"
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: File "/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libuno_cppu.so.3-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
warning: File "/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libsvllo.so-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
warning: File "/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libtllo.so-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
warning: File "/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libutllo.so-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
warning: File "/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libvcllo.so-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
warning: File "/home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libbasegfxlo.so-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
[Detaching after fork from child process 1183079]
Invalid cast.
warning: Probes-based dynamic linker interface failed.
Reverting to original interface.
[New Thread 0x7fffdfbd1640 (LWP 1183084)]
[New Thread 0x7fffdeac2640 (LWP 1183085)]
[New Thread 0x7fffde197640 (LWP 1183086)]
[New Thread 0x7fffdd996640 (LWP 1183087)]
[New Thread 0x7fffdcf99640 (LWP 1183088)]
[New Thread 0x7fffdcf99640 (LWP 1183089)]
[Thread 0x7fffdcf99640 (LWP 1183088) exited]
[New Thread 0x7fffc7fff640 (LWP 1183090)]
[Thread 0x7fffdcf99640 (LWP 1183089) exited]
[New Thread 0x7fffdcf99640 (LWP 1183091)]
[Thread 0x7fffc7fff640 (LWP 1183090) exited]
[New Thread 0x7fffc7fff640 (LWP 1183092)]
[Thread 0x7fffdcf99640 (LWP 1183091) exited]
[New Thread 0x7fffdcf99640 (LWP 1183093)]
[Thread 0x7fffc7fff640 (LWP 1183092) exited]
[New Thread 0x7fffc7fff640 (LWP 1183094)]
[Thread 0x7fffc7fff640 (LWP 1183094) exited]
[New Thread 0x7fffc7fff640 (LWP 1183095)]
[Thread 0x7fffc7fff640 (LWP 1183095) exited]
[New Thread 0x7fffc7fff640 (LWP 1183096)]
[Thread 0x7fffc7fff640 (LWP 1183096) exited]
[New Thread 0x7fffc7fff640 (LWP 1183097)]
[New Thread 0x7fffc6e36640 (LWP 1183098)]
[Thread 0x7fffc6e36640 (LWP 1183098) exited]
[Thread 0x7fffc7fff640 (LWP 1183097) exited]
[Thread 0x7fffdfbd1640 (LWP 1183084) exited]
[New Thread 0x7fffdfbd1640 (LWP 1183099)]
[New Thread 0x7fffc7fff640 (LWP 1183100)]
[New Thread 0x7fffc6e36640 (LWP 1183101)]
[New Thread 0x7fffc5c3c640 (LWP 1183102)]
[New Thread 0x7fffc52fa640 (LWP 1183103)]
[New Thread 0x7fffc4af9640 (LWP 1183104)]
[New Thread 0x7fffbcf72640 (LWP 1183105)]
[New Thread 0x7fffb2437640 (LWP 1183106)]
[Thread 0x7fffc5c3c640 (LWP 1183102) exited]
[Thread 0x7fffc6e36640 (LWP 1183101) exited]
[Thread 0x7fffc7fff640 (LWP 1183100) exited]
[Thread 0x7fffdfbd1640 (LWP 1183099) exited]
[Thread 0x7fffb2437640 (LWP 1183106) exited]
[Thread 0x7fffbcf72640 (LWP 1183105) exited]
[Thread 0x7fffc4af9640 (LWP 1183104) exited]
[Thread 0x7fffc52fa640 (LWP 1183103) exited]
[New Thread 0x7fffb2437640 (LWP 1183107)]
[New Thread 0x7fffbcf72640 (LWP 1183108)]

Thread 25 "soffice.bin" received signal SIGILL, Illegal instruction.
[Switching to Thread 0x7fffb2437640 (LWP 1183107)]
0x00007fffdfbbf13c in _pocl_kernel_DynamicKernel_workgroup () from /home/msetzerii/.cache/pocl/kcache/MC/AEDNJNCPODFJCGNFBFLJHJJHGEAIGELFLACOB/DynamicKernel/64-1-1-goffs0-smallgrid/DynamicKernel.so
#0  0x00007fffdfbbf13c in _pocl_kernel_DynamicKernel_workgroup () at /home/msetzerii/.cache/pocl/kcache/MC/AEDNJNCPODFJCGNFBFLJHJJHGEAIGELFLACOB/DynamicKernel/64-1-1-goffs0-smallgrid/DynamicKernel.so
#1  0x0000000000000000 in  ()

Thread 26 (Thread 0x7fffbcf72640 (LWP 1183108) "soffice.bin"):
#0  0x00007fffdfbbf13c in _pocl_kernel_DynamicKernel_workgroup () at /home/msetzerii/.cache/pocl/kcache/MC/AEDNJNCPODFJCGNFBFLJHJJHGEAIGELFLACOB/DynamicKernel/64-1-1-goffs0-smallgrid/DynamicKernel.so
#1  0x0000000000000000 in  ()

Thread 25 (Thread 0x7fffb2437640 (LWP 1183107) "soffice.bin"):
#0  0x00007fffdfbbf13c in _pocl_kernel_DynamicKernel_workgroup () at /home/msetzerii/.cache/pocl/kcache/MC/AEDNJNCPODFJCGNFBFLJHJJHGEAIGELFLACOB/DynamicKernel/64-1-1-goffs0-smallgrid/DynamicKernel.so
#1  0x0000000000000000 in  ()

Thread 11 (Thread 0x7fffdcf99640 (LWP 1183093) "pool-soffice"):
#0  0x00007ffff7d65ddd in syscall () at /lib64/libc.so.6
#1  0x00007ffff051385c in g_cond_wait_until () at /lib64/libglib-2.0.so.0
#2  0x00007ffff0495401 in g_async_queue_pop_intern_unlocked () at /lib64/libglib-2.0.so.0
#3  0x00007ffff0495586 in g_async_queue_timeout_pop () at /lib64/libglib-2.0.so.0
#4  0x00007ffff04f6bd9 in g_thread_pool_thread_proxy.lto_priv () at /lib64/libglib-2.0.so.0
#5  0x00007ffff04f3c42 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#6  0x00007ffff78a72a5 in start_thread () at /lib64/libpthread.so.0
#7  0x00007ffff7d6b323 in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7fffdd996640 (LWP 1183087) "gdbus"):
#0  0x00007ffff7d6058f in poll () at /lib64/libc.so.6
#1  0x00007ffff051948c in g_main_context_iterate.constprop () at /lib64/libglib-2.0.so.0
#2  0x00007ffff04c4a93 in g_main_loop_run () at /lib64/libglib-2.0.so.0
#3  0x00007ffff0717d9a in gdbus_shared_thread_func.lto_priv () at /lib64/libgio-2.0.so.0
#4  0x00007ffff04f3c42 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#5  0x00007ffff78a72a5 in start_thread () at /lib64/libpthread.so.0
#6  0x00007ffff7d6b323 in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7fffde197640 (LWP 1183086) "gmain"):
#0  0x00007ffff7d6058f in poll () at /lib64/libc.so.6
#1  0x00007ffff051948c in g_main_context_iterate.constprop () at /lib64/libglib-2.0.so.0
#2  0x00007ffff04c2c03 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007ffff04c2c51 in glib_worker_main () at /lib64/libglib-2.0.so.0
#4  0x00007ffff04f3c42 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#5  0x00007ffff78a72a5 in start_thread () at /lib64/libpthread.so.0
#6  0x00007ffff7d6b323 in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7fffdeac2640 (LWP 1183085) "PipeIPC"):
#0  0x00007ffff7d6c58f in accept () at /lib64/libc.so.6
#1  0x00007ffff7f9668f in osl_acceptPipe () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libuno_sal.so.3
#2  0x00007ffff7ec5ca2 in desktop::PipeIpcThread::execute() () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libsofficeapp.so
#3  0x00007ffff6793a67 in salhelper::Thread::run() () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libuno_salhelpergcc3.so.3
#4  0x00007ffff6793cd0 in threadFunc () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libuno_salhelpergcc3.so.3
#5  0x00007ffff7f9c048 in osl_thread_start_Impl(void*) () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libuno_sal.so.3
#6  0x00007ffff78a72a5 in start_thread () at /lib64/libpthread.so.0
#7  0x00007ffff7d6b323 in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7fffee3010c0 (LWP 1183075) "soffice.bin"):
#0  0x00007ffff78b3a8a in __futex_abstimed_wait_common64 () at /lib64/libpthread.so.0
#1  0x00007ffff78ad2c0 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#2  0x00007fffdfbc4773 in pocl_pthread_join () at /lib64/pocl/libpocl-devices-pthread.so
#3  0x00007fffc6550bde in POclFinish () at /lib64/libpocl.so.2.7.0
#4  0x00007fffdc4a0739 in clFinish () at /lib64/libOpenCL.so.1
#5  0x00007ffff67a9d26 in getDeviceSelection(std::basic_string_view<char16_t, std::char_traits<char16_t> >, bool) () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libopencllo.so
#6  0x00007ffff67a6abf in openclwrapper::switchOpenCLDevice(rtl::OUString const*, bool, bool, rtl::OUString&) () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libopencllo.so
#7  0x00007ffff7ec7c20 in desktop::Desktop::CheckOpenCLCompute(com::sun::star::uno::Reference<com::sun::star::frame::XDesktop2> const&) () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libsofficeapp.so
#8  0x00007ffff7ea3062 in desktop::Desktop::Main() () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libsofficeapp.so
#9  0x00007ffff40f25a9 in ImplSVMain() () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libvcllo.so
#10 0x00007ffff7ec8ecf in soffice_main () at /home/msetzerii/Downloads/libreoffice-7.3.0.3/instdir/program/libsofficeapp.so
#11 0x000000000040106c in main ()
A debugging session is active.

	Inferior 1 [process 1183075] will be killed.

Quit anyway? (y or n) [answered Y; input not from terminal]
Comment 49 Michael Setzer II 2022-02-09 05:03:18 UTC
Downloaded the nightly build and that isn't loading main screen?? Before calc caused crash now don't get anything??
Then tried safe mode, and it uploaded dmp file, but would open writer but not calc??
libreofficedev7.3 
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:1214897:1214897:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:desktop:1214897:1214929:desktop/source/app/crashreport.cxx:61: minidump generated: /tmp/e5d2f5e5-276b-4def-27da6bab-3bbd2e0a.dmp

The fonts it mentions are there, so not sure why errors about not being able to open?
Comment 50 Xisco Faulí 2022-02-09 08:40:37 UTC
*** Bug 147215 has been marked as a duplicate of this bug. ***
Comment 51 Pinco Pallino 2022-02-09 11:30:14 UTC
I have downloaded the daily builds for 02-08-2022 and have tried both the archive and deb versions. In the deb one Calc crashes the program, in the arch one with dbg Calc works well.
Notice the same Build ID.


1- In this one Calc works well (see my comments 45 and 44):
LibreOfficeDev_7.4.0.0.alpha0_Linux_x86-64_archive.tar.gz

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 845e53ea13b317bd8ef4dc42cd60ea51359f34ab
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded


2- In this one starting Calc crashes the program.
LibreOfficeDev_7.4.0.0.alpha0_Linux_x86-64_deb.tar.gz

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 845e53ea13b317bd8ef4dc42cd60ea51359f34ab
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: thread


My system:
Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.5
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-28-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7 CPU 920 @ 2.67GHz
Memory: 5.8 GiB of RAM
Graphics Processor: NVA5

I hope this helps.
Comment 52 Buovjaga 2022-02-09 13:56:19 UTC
*** Bug 147320 has been marked as a duplicate of this bug. ***
Comment 53 Michael Setzer II 2022-02-09 15:00:45 UTC
Created attachment 178170 [details]
gdbtrace.log from safe-mode run that lets calc load?

Saw references to 7.4 working, but doesn't work in normal mode, but get something in safe mode with calc. Get messages about some fonts I don't understand?

warn:sfx.control:1399519:1399519:sfx2/source/control/dispatch.cxx:1206: Childwindow slot missing: 25917
warn:sfx.control:1399519:1399519:sfx2/source/control/dispatch.cxx:1206: Childwindow slot missing: 25917
warn:sfx.control:1399519:1399519:sfx2/source/control/dispatch.cxx:1206: Childwindow slot missing: 25917
warn:sfx.control:1399519:1399519:sfx2/source/control/dispatch.cxx:1206: Childwindow slot missing: 25917
warn:legacy.osl:1399519:1399519:sc/source/ui/view/tabvwshh.cxx:232: no accessibility broadcaster?
warn:legacy.osl:1399519:1399519:sc/source/ui/view/tabvwshh.cxx:232: no accessibility broadcaster?
warn:legacy.osl:1399519:1399519:sc/source/ui/view/tabvwshh.cxx:232: no accessibility broadcaster?
warn:svl.items:1399519:1399519:svl/source/items/itempool.cxx:376: old secondary pool: EditEngineItemPool of pool: XOutdevItemPool must be empty.
warn:vcl.schedule.deinit:1399519:1399519:vcl/source/app/scheduler.cxx:177: DeInit task: Timer a: 1 p: 1 framework::AutoRecovery m_aTimer 600000ms (0x34ee618)
warn:vcl.schedule.deinit:1399519:1399519:vcl/source/app/scheduler.cxx:177: DeInit task: Timer a: 1 p: 1 graphic::Manager maSwapOutTimer 10000ms (0x7f6ca77ac880)
warn:vcl.schedule.deinit:1399519:1399519:vcl/source/app/scheduler.cxx:198: DeInit active tasks: 2 (ignored: 0)
warn:unotools.config:1399519:1399519:unotools/source/config/configmgr.cxx:147: ConfigManager not empty
Comment 54 Xisco Faulí 2022-02-09 17:44:37 UTC
Could someone please try again with https://dev-builds.libreoffice.org/daily/libreoffice-7-3/Linux-rpm_deb-x86_64@tb87-TDF/current/? It has been built with lto disabled
Comment 55 Michael Setzer II 2022-02-09 18:37:44 UTC
Created attachment 178174 [details]
latest 3.1 version fails to load.

Downloaded the lastest 3.1 with the rpm since I run Fedora 34.
Installed, and tried running. It crashes. Still seeing message about fonts??
Attached gdbtrace.log
Comment 56 Pinco Pallino 2022-02-09 20:10:51 UTC
Hello Xisco Faulí,

As you asked I have downloaded LibreOfficeDev_7.3.1.0.0_Linux_x86-64_deb.tar.gz from https://dev-builds.libreoffice.org/daily/libreoffice-7-3/Linux-rpm_deb-x86_64@tb87-TDF/current/

Calc works fine and no longer crashes.

Version: 7.3.1.0.0+ / LibreOffice Community
Build ID: 236d62d359c7ab22de01bf13d0b08759badfcc89
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

My system:
Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.5
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-28-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7 CPU 920 @ 2.67GHz
Memory: 5.8 GiB of RAM
Graphics Processor: NVA5
Comment 57 Pinco Pallino 2022-02-09 20:13:11 UTC
Created attachment 178176 [details]
Log relating to comment 56.

Log relating to comment 56.
Comment 58 Xisco Faulí 2022-02-09 20:24:25 UTC
(In reply to Michael Setzer II from comment #55)
> Created attachment 178174 [details]
> latest 3.1 version fails to load.
> 
> Downloaded the lastest 3.1 with the rpm since I run Fedora 34.
> Installed, and tried running. It crashes. Still seeing message about fonts??
> Attached gdbtrace.log

Latest 3.1? 
Could you please share the info from help - about LibreOffice?
Comment 59 Michael Setzer II 2022-02-09 22:14:30 UTC
Version: 7.3.1.0.0+ / LibreOffice Community
Build ID: cfe402fd7755cb14551db3af39a7da783ef77350
CPU threads: 2; OS: Linux 5.16; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

libreofficedev7.3 --safe-mode
will let it come up and then continue in safe-mode.
libreofficedev7.3 crashes.
It will let me open writer, but calc crashes
with dmp. That running again says it uploads?
Comment 60 KJP 2022-02-09 22:40:41 UTC
Please see https://www.pclinuxos.com/forum/index.php/topic,157071.msg1352785.html#msg1352785. I note the one person who posted their CPU flags here did not have avx. I don't get the crash but I have avx although not avx2.

I presume the intention was to enable the use of avx(2) if available, but maybe the fallback isn't working if it's not.

cat /proc/cpuinfo | grep avx will output the flags line if one of these flags is present. If not it might output nothing. Does the crash co-relate with a nil output?
Comment 61 Xisco Faulí 2022-02-09 22:48:42 UTC
(In reply to Michael Setzer II from comment #59)
> Version: 7.3.1.0.0+ / LibreOffice Community
> Build ID: cfe402fd7755cb14551db3af39a7da783ef77350
> CPU threads: 2; OS: Linux 5.16; UI render: default; VCL: gtk3
> Locale: en-US (en_US.UTF-8); UI: en-US
> Calc: threaded
> 
> libreofficedev7.3 --safe-mode
> will let it come up and then continue in safe-mode.
> libreofficedev7.3 crashes.
> It will let me open writer, but calc crashes
> with dmp. That running again says it uploads?


Hi Michael,
Your build is from yesterday. See https://cgit.freedesktop.org/libreoffice/core/log/?h=libreoffice-7-3&qt=range&q=cfe402fd7755cb14551db3af39a7da783ef77350. Uninstall it, download it again from https://dev-builds.libreoffice.org/daily/libreoffice-7-3/Linux-rpm_deb-x86_64@tb87-TDF/current/ and try again.
Thanks in advance
Comment 62 Michael Setzer II 2022-02-09 22:54:19 UTC
Checked 4 of my machines.
3 do not have the avx and the 3.1.0 crashes with calc
Have one machine that did have the avx
and tried the same version and it did not crash?
Comment 63 Michael Setzer II 2022-02-09 23:24:25 UTC
In response to comment 61. Redownloaded 3.1 from link (rpm verion) and installed it.
running command results in total crash without --safe-mode
with safe-mode it opens, but then selecting calc crashes.
This machine doesn't have the avx flag that was mentioned in another message.

libreofficedev7.3 
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:1553763:1553763:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:desktop:1553763:1553794:desktop/source/app/crashreport.cxx:61: minidump generated: /tmp/52940246-d595-49d3-ccb4c1a2-6c5bc598.dmp
[root@setzconote RPMS]# libreofficedev7.3 --safe-mode
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:1553867:1553867:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:1553887:1553887:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:1553907:1553907:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:desktop:1553907:1553907:desktop/source/app/crashreport.cxx:61: minidump generated: /root/.config/libreofficedev/4/crash//96d8307d-4d1c-44d6-5957f783-3288cc50.dmp
Comment 64 TBS 2022-02-10 08:31:02 UTC
I'm running LO 7.3.0.3 on PCLinuxOS.

No avx or avx2 flags available on the CPU or 2 computers, and Calc crashes on both.

Other users with at least avx report no crashes.

See comment #60 by KJP for more.
Comment 65 Xisco Faulí 2022-02-10 11:25:21 UTC
(In reply to Michael Setzer II from comment #63)
> In response to comment 61. Redownloaded 3.1 from link (rpm verion) and
> installed it.
> running command results in total crash without --safe-mode
> with safe-mode it opens, but then selecting calc crashes.

Hi Michael,
Please always share the info from help - about LibreOffice
Comment 67 Pinco Pallino 2022-02-10 23:09:11 UTC
(In reply to Xisco Faulí from comment #66)
> Could someone please test with
> https://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@tb87-
> TDF/current/?C=S&O=D? This includes the patch removing avx/avx512 code <
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=2d36e7f5186ba5215f2b228b98c24520bd4f2882 >


Hi Xisco,
tested it and it is not crashing. Calc seems to work fine.
By the way I checked and my processor does not have avx.

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 2d36e7f5186ba5215f2b228b98c24520bd4f2882
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

My system:
Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.5
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-28-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7 CPU 920 @ 2.67GHz
Memory: 5.8 GiB of RAM
Graphics Processor: NVA5
Comment 68 Michael Setzer II 2022-02-10 23:27:04 UTC
Created attachment 178208 [details]
gdbtrace.log
Comment 69 Michael Setzer II 2022-02-10 23:31:23 UTC
Downloaded latest and mixed result.
Added the gdbtrace.log just now.
Running the latest 7.4.0.0 crashes without --safe-mode.
Fedora 34
Linux setzconote.dyndns.org 5.16.7-100.fc34.x86_64 #1 SMP PREEMPT Sun Feb 6 20:50:49 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

Doesn't have avx flag? 

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 2d36e7f5186ba5215f2b228b98c24520bd4f2882
CPU threads: 2; OS: Linux 5.16; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Download and installed. running regular it crashes. With --safe-mode it will run and open?
Don't understand why the font messages  appear??

libreofficedev7.4 --safe-mode
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:160347:160347:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:160367:160367:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:160387:160387:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:sfx.control:160387:160387:sfx2/source/control/dispatch.cxx:1206: Childwindow slot missing: 25917
warn:sfx.control:160387:160387:sfx2/source/control/dispatch.cxx:1206: Childwindow slot missing: 25917
warn:sfx.control:160387:160387:sfx2/source/control/dispatch.cxx:1206: Childwindow slot missing: 25917
warn:sfx.control:160387:160387:sfx2/source/control/dispatch.cxx:1206: Childwindow slot missing: 25917
warn:legacy.osl:160387:160387:sc/source/ui/view/tabvwshh.cxx:232: no accessibility broadcaster?
warn:legacy.osl:160387:160387:sc/source/ui/view/tabvwshh.cxx:232: no accessibility broadcaster?
warn:legacy.osl:160387:160387:sc/source/ui/view/tabvwshh.cxx:232: no accessibility broadcaster?
warn:unotools.config:160387:160387:unotools/source/config/configmgr.cxx:147: ConfigManager not empty

libreofficedev7.4 
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Bold.woff2": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-ExtraBold.woff2": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Italic.woff2": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Light.woff2": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff": 6
warn:vcl.fonts:160553:160553:vcl/unx/generic/fontmanager/fontmanager.cxx:665: Could not OpenTTFont "/usr/share/fonts/julietaula-montserrat/Montserrat-Regular.woff2": 6
warn:desktop:160553:160584:desktop/source/app/crashreport.cxx:61: minidump generated: /tmp/a76e00de-b783-4a2e-90c83ba8-769e33d4.dmp
Comment 70 KJP 2022-02-10 23:50:01 UTC
Well, the avx clue looked promising for a while but it's evidently not a complete correlation so either not the cause or at least not the whole cause. So it's back to those using methodical debugging to find this.

Sorry to have thrown a googly into the issue.
Comment 71 Michael Setzer II 2022-02-11 05:47:17 UTC
Created attachment 178210 [details]
Strace output from libreofficedev7.4 and libreofficedev7.4 --safe-mode

Running libreofficedev7.4 results in a dmp file being created?
Running libreofficedev7.4 --safe-mode has screen come up, and continuing in safe-mode will open calc, trying to continue in normal mod results in dump.

The files are very similar when comparing the two outputs in basic patterns, but specific numbers vary? But safe-mode does work on machine that doesn't have avx.

Additionally, I moved the fonts that report issues out of the directory where they are located, and the messages don't show up about the fonts, but the same crash/dmp happens so think it is something else? 

Tried a number of options on screen, but none resulted in a normal mode working?
Fedora 34's release of libreoffice is 7.1.8, while I've had no issues with adding 7.2.x versions up to the 7.2.5. Only the 7.3 and above haven't worked fully?

Do have one machine with the avx flag, and it seems to work on it?

Final question. When it creates a dmp file, sometimes next run comes with an option to upload the dmp file, but other times it doesn't. Currently have 13 .dmp files in /tmp, but not sure which have been uploaded or if they would show any useful info??

Thanks.
Comment 72 Eike Rathke 2022-02-12 20:33:19 UTC
*** Bug 147396 has been marked as a duplicate of this bug. ***
Comment 73 willy_wuchtig 2022-02-12 21:10:22 UTC
This fixed it for me:

Instead of using deb-files from "https://de.libreoffice.org/"
I'm now using a ppa ->
sudo add-apt-repository ppa:libreoffice/ppa
sudo apt-get update

Now I have:

Version: 7.3.0.3 / LibreOffice Community
Build ID: 30(Build:3)
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: de-DE
Ubuntu package version: 1:7.3.0~rc3-0ubuntu0.20.04.1~lo1
Calc: threaded

Running (also calc without crash) on:

Kernel: 5.13.0-28-generic x86_64
Desktop: Cinnamon 5.2.7 
Distro: Linux Mint 20.3 Una
Comment 74 Dorange-Pattoret Didier 2022-02-13 11:04:29 UTC
(In reply to Xisco Faulí from comment #66)
> Could someone please test with
> https://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@tb87-
> TDF/current/?C=S&O=D? This includes the patch removing avx/avx512 code <
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=2d36e7f5186ba5215f2b228b98c24520bd4f2882 >

Hello,
It works fine. I can launch Calc.
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 95b80365218f9406a5d952c1250d53222d319000
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded

And 
Linux Bigone 5.13.0-28-generic #31-Ubuntu SMP Thu Jan 13 17:41:06 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
Comment 75 nouvo09 2022-02-13 14:30:26 UTC
Hi everyone

Just downloaded and installed:

 Version: 7.3.1.1 / LibreOffice Community
Build ID: 349cd3ad57dce98d6b54b76f8e9f456ac7d7edb7
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: x11
Locale: fr-FR (fr_FR.utf8); UI: fr-FR
Calc: threaded

works fine

for me: bug fixed.
Comment 76 Michael Setzer II 2022-02-13 16:49:05 UTC
Just tried the latest 7.4.0.0 version and 7.3.2
Version: 7.3.2.0.0+ / LibreOffice Community
Build ID: a9f6d98859321e1b9029acc0c6e9347f4c1cf3b7
CPU threads: 2; OS: Linux 5.16; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 95b80365218f9406a5d952c1250d53222d319000
CPU threads: 2; OS: Linux 5.16; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Neither will load without --safe-mode???

With safe-mode can continue in safe-mode and it will open calc.

Running in regular more or restarting in normal mode
warn:desktop:386615:386647:desktop/source/app/crashreport.cxx:61: minidump generated: /tmp/ed80f95f-345e-4814-d725eb8e-4ec46c3a.dmp

warn:desktop:386752:386783:desktop/source/app/crashreport.cxx:61: minidump generated: /tmp/c0459337-c0d5-43eb-3e37d681-cb1f0799.dmp

Not sure why both fail in normal mode, but at least load in safe-mode??
Comment 77 Michael Setzer II 2022-02-13 16:50:44 UTC
May have been fixed for some, but I'm still getting failures to start in normal mode. Starting with safe-mode and continuing in safe-mode will load calc.
Comment 78 Buovjaga 2022-02-13 16:55:16 UTC
(In reply to Michael Setzer II from comment #77)
> May have been fixed for some, but I'm still getting failures to start in
> normal mode. Starting with safe-mode and continuing in safe-mode will load
> calc.

Please create a new report for your issue. Fixed seems to be the right status here.
Comment 79 Buovjaga 2022-02-14 15:31:57 UTC
*** Bug 147418 has been marked as a duplicate of this bug. ***
Comment 80 Lyudmil Vasilev 2022-02-15 14:43:44 UTC
(append to Comment #39)
uname -a
Linux ML110 5.15.21-1-MANJARO #1 SMP PREEMPT
Sun Feb 6 12:21:42 UTC 2022 x86_64 GNU/Linux
ML110  CPU: Intel X3430  cores: 4  RAM: 8GB
---
Add/Remove Software: LO-fresh Supplied by Arch Linux
Version: 7.3.0.3 / LibreOffice Community
Environ: CPU threads: 4 OS: Linux 5.15
UI: UI render: default VCL: gtk3
Locale: en-US (en-US.utf8); UI- en-US
Misc: 7.3.0-4  Calc: threaded
---
(LO-center): Writer, Calc, Impress, Draw, Database -- start OK, close OK
(LO-center): Math -- starts OK, closes OK, Ctrl+W -- exits LO-center
Comment 81 Michael Setzer II 2022-02-17 18:35:34 UTC
Created attachment 178357 [details]
abrt-dump-journal-opps

Don't know how this is marked as resolved when it still doesn't work on some systems??

On my system the 7.3 released crashes when opening calc, so it is broken.
Have tried a number of times the 7.3.1 and 7.4 dev versions. Those also crash with dmp when started in normal mode, or started in safe-mode and attempt to continue in normal mode. They will work, and load calc if started in safe-mode and continue in safe-mode, but I wouldn't consider that fixed?

Lastest info. Noticed I would occassionally get an abrt-opps reboot but it was a short message that said it was reported.

abrt-dump-journal-oops -o >abrt-dump-journal-opps 
Has 20 items with many being about soffice.bin but only one line??
Perhaps it might give more info.

Have libreoffice7.2-7.2.5.2-2.x86_64 and libreoffice-7.1.8.1-1.fc34.x86_64
working in normal mode 7.1.8 is the Fedora 34 version and 7.2.5 version was lastest 7.2 version that also works fine. 7.3 and later dmp in normal mode, and the later dev versions work only in safe-mode.
Comment 82 Timur 2022-02-18 07:29:46 UTC
To Michael: you were advised to create a new report and link here via See Also. Because some here confirmed that their problem gone.

 TO ALL: Please test with latest daily master 7.4+ or wait for 7.3.1 and write of problem still exists, preferably in that new bug report. 

(since there are mails here, at any time anyone can tick "never mail me..)
Comment 83 nouvo09 2022-02-18 13:07:02 UTC
Here is what I am running:

Version: 7.3.1.1 / LibreOffice Community
Build ID: 349cd3ad57dce98d6b54b76f8e9f456ac7d7edb7
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: x11
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded

on Fedora 5.3.11-100.fc29.x86_64

andI confirm I have no more issue.
Comment 84 Xisco Faulí 2022-02-23 12:27:09 UTC
*** Bug 147288 has been marked as a duplicate of this bug. ***
Comment 85 Camaleón 2022-03-01 09:18:04 UTC
Same issue here. See Bug #144322
Comment 86 Buovjaga 2022-03-01 09:19:14 UTC
*** Bug 144322 has been marked as a duplicate of this bug. ***
Comment 87 Camaleón 2022-03-01 10:11:31 UTC
Just for the record, tried with 7.3.1.2 (still not released):

https://www.libreoffice.org/donate/dl/deb-x86_64/7.3.1/es/LibreOffice_7.3.1.2_Linux_x86-64_deb.tar.gz

And Calc now opens up as expected.

LO info:

Version: 7.3.1.2 / LibreOffice Community
Build ID: 9fff0292474d6d0bf5df787b512c71d9ac4bc98e
CPU threads: 2; OS: Linux 5.16; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: es-ES
Calc: threaded
Comment 88 Camaleón 2022-03-01 17:28:27 UTC
For those expecting, according to LO schedule release dates¹, the upcoming 7.3.1 is planned between feb-28 and march-6.

¹https://wiki.documentfoundation.org/ReleasePlan/7.3#7.3.1_release
Comment 89 Xisco Faulí 2022-03-01 20:16:25 UTC
(In reply to Camaleón from comment #88)
> For those expecting, according to LO schedule release dates¹, the upcoming
> 7.3.1 is planned between feb-28 and march-6.
> 
> ¹https://wiki.documentfoundation.org/ReleasePlan/7.3#7.3.1_release

On Thursday 3, to be precise
Comment 90 Dorange-Pattoret Didier 2022-03-06 08:49:05 UTC
Hello,

Works fine with :

Version: 7.3.1.3 / LibreOffice Community
Build ID: a69ca51ded25f3eefd52d7bf9a5fad8c90b87951
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Calc: threaded

Thanks for all.
Comment 91 Lyudmil Vasilev 2022-03-11 11:01:47 UTC
(append to Comment #80)
---
Linux ML110 5.15.25-1-MANJARO #1 SMP PREEMPT
Wed Feb 23 14:44:03 UTC 2022 x86_64 GNU/Linux
---
Version: 7.3.1.3 / LibreOffice Community
Build ID: a69ca51ded25f3eefd52d7bf9a5fad8c90b87951
CPU threads: 4; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: en-US (en_US.utf8); UI: en-US
Calc: threaded
---
Works OK,
thanks for all.